安装了xgl compiz以后发现了这个dock是相当不错的

为当前最终发行版之前的所有版本提供支持
头像
linuxoser
帖子: 142
注册时间: 2006-08-22 22:12
送出感谢: 0
接收感谢: 0

安装了xgl compiz以后发现了这个dock是相当不错的

#1

帖子 linuxoser » 2006-09-01 15:37

一直使用的是fc5,现在转用ubuntu。发现ubuntu比上fc5好用多了。最主要是不用像fc5那样需要基本配置。安装完毕后就直接可以使用,还有wiki的支持。太好了!

按照wiki中安装了xgl compiz以后,在找主题的时候发现了这个东西 kiba-dock,经过搜索在
http://www.ubuntuforums.org/showthread.php?t=235643

发现了简单的安装方法。喜欢的朋友可以试验一下。

1. 首先安装以下包

sudo apt-get install libgtk2.0-dev libssl-dev build-essential cvs libgconf2-dev libgconf2-dev

2. 现在从cvs repository 下载 kiba dock

cvs -d:pserver:anonymous@metascape.afraid.org:/cvsroot co kiba-dock

3. 进入刚下载的目录

cd ./kiba-dock

4. 运行make命令

make

5. 运行populate-dock.sh脚本

./populate-dock.sh

6. 现在运行kiba-dock

./dock

在make的时候我这里出现了几个包找不到,用新立得就搞定了。另外没有在wiki中找到,能不能加进去呀?
附件
2.png
3.png
1.png
上次由 linuxoser 在 2006-09-01 15:51,总共编辑 1 次。
xfzhu2008
帖子: 63
注册时间: 2006-06-25 16:31
送出感谢: 0
接收感谢: 0

#2

帖子 xfzhu2008 » 2006-09-01 15:41

这个是做什么用的?
头像
linuxoser
帖子: 142
注册时间: 2006-08-22 22:12
送出感谢: 0
接收感谢: 0

#3

帖子 linuxoser » 2006-09-01 15:52

刚刚上了图片!嘿嘿!
头像
latteye
帖子: 218
注册时间: 2006-08-13 2:04
送出感谢: 0
接收感谢: 0

#4

帖子 latteye » 2006-09-01 18:01

准备试试 一直想找一个好dock 顶
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 内存不足 » 2006-09-01 19:55

໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#6

帖子 eexpress » 2006-09-01 22:22

刚刚把adesklets废弃了。那个里面有2个python的dock插件。效果类似mac的。只是不能拖东西进去。
● 鸣学
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#7

帖子 内存不足 » 2006-09-01 22:34

还有个cairo-dock 也不错 就是安装太麻烦了
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#8

帖子 eexpress » 2006-09-01 22:41

内存不足 写了:还有个cairo-dock 也不错 就是安装太麻烦了
ubuntu的deb包啊。10几种主题。???????你编译的???????
● 鸣学
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#9

帖子 内存不足 » 2006-09-02 10:45

哪里有deb的包?
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2006-09-02 19:31

内存不足 写了:哪里有deb的包?
我最近的帖子里面啊。哦, 在fvwm那帖子最后的。那官方网站就有ubuntu的deb包啊。
● 鸣学
thrandoll
帖子: 39
注册时间: 2006-09-16 12:27
送出感谢: 0
接收感谢: 0

#11

帖子 thrandoll » 2006-09-17 19:20

为什么我运行kiba-dock之后显示是黑色的,什么都调整不了?
头像
linuxoser
帖子: 142
注册时间: 2006-08-22 22:12
送出感谢: 0
接收感谢: 0

#12

帖子 linuxoser » 2006-09-18 2:12

安装的时候有什么出错提示吗?反正我这里随gnome启动以后就是什么都调整不了,只有在终端运行后才能调整的。
tijon
帖子: 3
注册时间: 2006-10-28 10:25
送出感谢: 0
接收感谢: 0

#13

帖子 tijon » 2006-11-06 19:49

我的是这样 错误
kiba-dock: symbol lookup error: kiba-dock: undefined symbol: g_intern_static_string
咋办呀?
头像
linuxoser
帖子: 142
注册时间: 2006-08-22 22:12
送出感谢: 0
接收感谢: 0

#14

帖子 linuxoser » 2006-11-07 5:12

你一定没有装xgl beryl?
在默认的窗口管理中是不行的。
我在默认窗口管理中也是黑色的。
头像
爱国者黑客
帖子: 608
注册时间: 2006-10-01 14:34
送出感谢: 0
接收感谢: 0

#15

帖子 爱国者黑客 » 2006-11-07 6:32

** Requirements **

kiba-dock needs the Gtk, CAIRO, PANGO and the GCONF library.
回复

回到 “老旧版本支持”